FROM oven/bun:latest

WORKDIR /app

# Cache packages installation
COPY package.json package.json
COPY bun.lock bun.lock

RUN bun install

ENV NODE_ENV=production
COPY ./src ./src
CMD ["bun", "run", "src/index.ts"]

EXPOSE 3000
